<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns:tns="http://orei.inra.fr/configuration"
        targetNamespace="http://orei.inra.fr/configuration" elementFormDefault="qualified"
        xmlns="http://www.w3.org/2001/XMLSchema"
>
    <element name="configuration" type="tns:configurationType"/>
    <complexType name="configurationType">
        <annotation>
            <documentation>identifie l'application portail parent</documentation>
        </annotation>
        <sequence>
            <element name="coreConfiguration" type="tns:coreConfigurationType"/>
            <element name="localizationConfiguration" type="tns:localizationConfigurationType"/>
            <element name="metadataConfiguration" type="tns:metadataConfigurationType"/>
            <element name="datatypeConfiguration" type="tns:datatypeConfigurationType"/>
            <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
        </sequence>
    </complexType>
    <complexType name="abstractConfigurationType">
        <annotation>
            <documentation>abstract element configuration l'application portail
                parent
            </documentation>
        </annotation>
    </complexType>
    <complexType name="datatypeConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <annotation>
                    <documentation>configuration des données de l'application
                        l'application portail parent
                    </documentation>
                </annotation>
                <sequence>
                    <element name="dataType" type="tns:dataType" minOccurs="0"
                             maxOccurs="unbounded"
                    >
                    </element>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="coreConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <sequence>
                    <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="localizationConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <sequence>
                    <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="metadataConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <sequence>
                    <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="dataType">
        <sequence>
            <element name="name" type="tns:name" minOccurs="1" maxOccurs="unbounded">
                <annotation>
                    <documentation>Ce nom permet de créer le nom du répertoire du jeu
                        de données...attention le nom génère un code en remplaçant les " "
                        par "_", les caractères accentués...
                    </documentation>
                </annotation>
            </element>
            <element name="description" type="tns:description" minOccurs="1"
                     maxOccurs="unbounded"
            >
                <annotation>
                    <documentation>la description qui pourra s'afficher dans des
                        info-bulles'
                    </documentation>
                </annotation>
            </element>
            <element name="recorder" type="string" minOccurs="1">
                <annotation>
                    <documentation>Le nom complet de la classe Recorder associé à ce
                        type de données
                    </documentation>
                </annotation>
            </element>
            <element name="spring-dao" type="tns:springDaoType"
                     maxOccurs="unbounded" minOccurs="0"
            >
            </element>
            <element name="name-file-checkers" type="tns:nameFileCheckerType"
                     maxOccurs="unbounded" minOccurs="0"
            >
            </element>
        </sequence>
    </complexType>
    <complexType name="springDaoType">
        <sequence>
            <element name="class" type="string" maxOccurs="1" minOccurs="1">
            </element>
        </sequence>
        <attribute name="order" type="integer" default="0" use="optional"/>
    </complexType>
    <complexType name="outputDisplayType">
        <sequence>
            <element name="class" type="string" maxOccurs="1" minOccurs="1">
            </element>
        </sequence>
        <attribute name="number" type="integer" default="0" use="optional"/>
    </complexType>
    <complexType name="nameFileCheckerType">
        <sequence>
            <element name="class" type="string" maxOccurs="1" minOccurs="1">
            </element>
        </sequence>
    </complexType>
    <complexType name="internationalizableString">
        <simpleContent>
            <extension base="string">
                <attribute name="language" type="string" default="fr"/>
            </extension>
        </simpleContent>
    </complexType>
    <complexType name="name">
        <simpleContent>
            <extension base="tns:internationalizableString">
            </extension>
        </simpleContent>
    </complexType>
    <complexType name="description">
        <simpleContent>
            <extension base="tns:internationalizableString">
            </extension>
        </simpleContent>
    </complexType>
    <complexType name="localizations">
        <sequence>
            <element name="localization" type="tns:localization"
                     maxOccurs="unbounded" minOccurs="1"
            >
            </element>
        </sequence>
        <attribute name="defaultLanguage" type="string" default="fr"/>
    </complexType>
    <complexType name="localization">
        <attribute name="language" type="string" default="fr"/>
    </complexType>
</schema>